package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

//学员基类
public class BaseStudentDto extends BaseEntity {
    @ApiModelProperty("分部编号")
    private Integer organId;

    @ApiModelProperty("用户编号")
    private Integer userId;

    /**  */
    @ApiModelProperty("用户名")
    private String userName;

    /**  */
    @ApiModelProperty("联系方式")
    private String phone;

    /** 年级 */
    @ApiModelProperty("年级")
    private String currentGrade;

    /** 年级数字 */
    @ApiModelProperty("年级数字")
    private Integer currentGradeNum;

    /** 班级 */
    @ApiModelProperty("班级")
    private String currentClass;

    /** 性别 */
    private Integer gender;

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public Integer getCurrentGradeNum() {
        return currentGradeNum;
    }

    public void setCurrentGradeNum(Integer currentGradeNum) {
        this.currentGradeNum = currentGradeNum;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }
}
